    const dataset = [
      { label: 'Computer Science', value: 10500 },
      { label: 'Electronics', value: 8800 },
      { label: 'Mechanical', value: 8700 },
      { label: 'Artificial Intelligence', value: 5600 },
      { label: 'Business Analytics', value: 5000 },
      { label: 'Information Systems', value: 6700 },
      { label: 'Data Science', value: 9800 },
      { label: 'Health Informatics', value: 7000 },
      { label: 'Cyber Security', value: 4000 },
      { label: 'Data Engineering', value: 3500 },
      { label: 'Computer Engineering', value: 2500 },
      { label: 'Informatioin Sciences', value: 3000 },
    ];

    // Set up chart dimensions
    const margin = { top: 20, right: 20, bottom: 50, left: 50 };
    const width = 600 - margin.left - margin.right;
    const height = 400 - margin.top - margin.bottom;

    // Create SVG element and append it to the chart container
    const svg = d3.select('#chart-container')
      .append('svg')
      .attr('width', width + margin.left + margin.right)
      .attr('height', height + margin.top + margin.bottom)
      .append('g')
      .attr('transform', `translate(${margin.left}, ${margin.top})`);

    // Create a linear scale for the y-axis (vertical)
    const yScale = d3.scaleLinear()
      .domain([0, d3.max(dataset, d => d.value)])
      .range([height, 0]);

    // Create a band scale for the x-axis (horizontal)
    const xScale = d3.scaleBand()
      .domain(dataset.map(d => d.label))
      .range([0, width])
      .paddingInner(0.2)
      .paddingOuter(0.2);

    // Add the bars to the chart
    svg.selectAll('rect')
      .data(dataset)
      .enter()
      .append('rect')
      .attr('x', d => xScale(d.label))
      .attr('y', d => yScale(d.value))
      .attr('width', xScale.bandwidth())
      .attr('height', d => height - yScale(d.value))
      .attr('fill', 'steelblue');

    // Add y-axis to the chart
    svg.append('g')
      .call(d3.axisLeft(yScale));

		// Add x-axis to the chart
		svg.append('g')
  		.attr('transform', `translate(0, ${height})`)
  		.call(d3.axisBottom(xScale))
  		.selectAll('text')
  		.style('text-anchor', 'end')
  		.attr('dx', '-0.8em')
  		.attr('dy', '0.15em')
  		.attr('transform', 'rotate(-25)');

    // Add chart title
    svg.append('text')
      .attr('x', width / 2)
      .attr('y', 0 - margin.top / 4)
      .attr('text-anchor', 'middle')
      .text('Students From each Major in UNT');

    // Add x-axis label
    svg.append('text')
      .attr('x', width / 2)
      .attr('y', height + margin.bottom)
      .attr('text-anchor', 'middle')
      .text('Majors');

    // Add y-axis label
    svg.append('text')
      .attr('transform', 'rotate(-90)')
      .attr('x', 0 - height / 2)
      .attr('y', 0 - margin.left)
      .attr('dy', '1em')
      .style('text-anchor', 'middle')
      .text('Student Count');